For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet approval policies
      • POSTCreate an approval policy
      • GETGet an approval policy by ID
      • DELDelete an approval policy
      • PATCHUpdate an approval policy
      • GETGet approval processes created from a policy
      • GETGet an approval process by ID
      • POSTCancel an approval process
      • GETGet the steps of an approval process
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableApproval policies

Get approval processes created from a policy

GET
/approval_policies/:approval_policy_id/processes
GET
/v1/approval_policies/:approval_policy_id/processes
$curl https://api.sandbox.monite.com/v1/approval_policies/approval_policy_id/processes \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "input": {
7 "key": "value"
8 },
9 "metadata": {
10 "key": "value"
11 },
12 "status": "succeeded",
13 "updated_at": "2024-01-15T09:30:00Z",
14 "created_by": "created_by",
15 "error": {
16 "key": "value"
17 },
18 "script_snapshot": true,
19 "updated_by": "updated_by"
20 }
21 ]
22}
Retrieve a list of all approval policy processes.
Was this page helpful?
Previous

Get an approval process by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

approval_policy_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects

Errors

401
Get Approval Policies ID Processes Request Unauthorized Error
404
Get Approval Policies ID Processes Request Not Found Error
409
Get Approval Policies ID Processes Request Conflict Error
422
Get Approval Policies ID Processes Request Unprocessable Entity Error
429
Get Approval Policies ID Processes Request Too Many Requests Error